Skip to main content
GET
/
v1alpha1
/
project
/
{projectID}
/
phone-numbers
List phone numbers attached to the assistant
curl --request GET \
  --url https://realtime-api.voiceflow.com/v1alpha1/project/{projectID}/phone-numbers \
  --header 'authorization: <api-key>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "phoneNumber": "<string>",
    "workspaceID": "<string>",
    "assistantID": "<string>",
    "environmentID": "<string>",
    "projectEnvironmentID": "<string>",
    "providerPhoneNumberID": "<string>",
    "environmentAlias": "<string>"
  }
]

Authorizations

authorization
string
header
required

Voiceflow API key

Path Parameters

projectID
string
required

ID of the project that owns the environments.

Query Parameters

environmentIDorAlias
string

Response

200 - application/json

The phone numbers attached to the assistant.

id
string
required
name
string
required
provider
enum<string>
required
Available options:
twilio,
vonage,
telnyx,
voiceflow-telnyx,
voiceflow-sip,
byo-sip
createdAt
string
required
updatedAt
string
required
phoneNumber
string
required
workspaceID
string
required
assistantID
string | null
required
environmentID
string | null
required
versionVariant
enum<string> | null
required
Available options:
draft,
published
projectEnvironmentID
string | null
required
providerPhoneNumberID
string
required
environmentAlias
string | null
required